Update Google Business food menus
curl --request PUT \
--url https://api.kavenio.com/v1/accounts/{accountId}/gmb-food-menus \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationId": "locations/123",
"menus": [
{
"labels": [
{
"displayName": "Lunch",
"languageCode": "en"
}
]
}
]
}
'import requests
url = "https://api.kavenio.com/v1/accounts/{accountId}/gmb-food-menus"
payload = {
"locationId": "locations/123",
"menus": [{ "labels": [
{
"displayName": "Lunch",
"languageCode": "en"
}
] }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationId: 'locations/123',
menus: [{labels: [{displayName: 'Lunch', languageCode: 'en'}]}]
})
};
fetch('https://api.kavenio.com/v1/accounts/{accountId}/gmb-food-menus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"success": true,
"accountId": "<string>",
"locationId": "<string>",
"menus": [
{
"labels": [
{
"displayName": "<string>",
"description": "<string>",
"languageCode": "<string>"
}
],
"sections": [
{
"labels": [
{
"displayName": "<string>",
"description": "<string>",
"languageCode": "<string>"
}
],
"items": [
{
"labels": [
{
"displayName": "<string>",
"description": "<string>",
"languageCode": "<string>"
}
],
"attributes": {}
}
]
}
]
}
],
"name": "<string>",
"fetchedAt": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Google Business
Update Google Business food menus
Updates Google Business food menus for a location.
PUT
/
v1
/
accounts
/
{accountId}
/
gmb-food-menus
Update Google Business food menus
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Body
application/json
Was this page helpful?
⌘I